# inspired from fedora spec file
# Copyright (c) 2012-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define libname    htmLawed

%define php_libdir %{_datadir}/php

Name:           php-%{libname}
Version:        1.1.22
Release:        %mkrel 1
Summary:        PHP code to purify and filter HTML
Group:          Development/PHP
License:        LGPLv3 and GPLv2+
URL:            http://www.bioinformatics.org/phplabware/internal_utilities/htmLawed/
Source0:        http://www.bioinformatics.org/phplabware/downloads/%{libname}.zip
BuildArch:      noarch
Requires:       php-ctype
Requires:       php-pcre


%description
PHP code to purify and filter HTML

* make HTML markup in text secure and standard-compliant
* process text for use in HTML, XHTML or XML documents
* restrict HTML elements, attributes or URL protocols
  using black or white-lists
* balance tags, check element nesting, transform deprecated
  attributes and tags, make relative URLs absolute, etc.
* fast, highly customizable, well-documented
* single, 48 kb file
* simple HTML Tidy alternative
* free and licensed under LGPL v3 and GPL v2+
* use to filter, secure and sanitize HTML in blog comments or
  forum posts, generate XML-compatible feed items from web-page
  excerpts, convert HTML to XHTML, pretty-print HTML, scrape
  web-pages, reduce spam, remove XSS code, etc.


%prep
%setup -qc
chmod -x *

%build

%install
install -d %{buildroot}%{php_libdir}/%{libname}
install -pm 0644 %{libname}.php %{buildroot}%{php_libdir}/%{libname}

%files
%doc *README* *TESTCASE* htmLawedTest.php
%{php_libdir}/%{libname}


%changelog
* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.1.22-1.mga6
+ Revision: 1096706
- imported package php-htmLawed

